The addon is required to send emails when no access to an SMTP server via localhost is granted on the hub instance. 
Practically, sending emails is often controlled by calling the binary sendmail (or similar). If this is not given or forbidden for good security reasons, it is necessary to delegate the sending to an outgoing mail server. PHPMailer provides the api to control internal or external SMTP servers. 

Hubzilla addon phpmailer (using PHPMailer 6.5.1 https://github.com/PHPMailer/PHPMailer), maintenance Oct.2021 by Hilmar Runge

<h3>Configuration Quickstart:</h3>

	util/config phpmailer.mailer smtp
	util/config phpmailer.host some.host
	util/config phpmailer.port 25  // (or 587 if using tls or 465 if using ssl)

If using smtp authentication:

	util/config phpmailer.smtpauth 1
	util/config phpmailer.username myname
	util/config phpmailer.password mypassword


If using starttls:

	util/config phpmailer.smtpsecure tls
	util/config phpmailer.port 587

If using ssl:

	util/config phpmailer.smtpsecure ssl
	util/config phpmailer.port 465

If the server has a self-signed cert:

	util/config phpmailer.noverify 1


For debugging:

	util/config phpmailer.smtpdebug 2 // valid values are 0-4
	//	0	No debug
	//	1	Client commands
	//	2	Client commands and server responses
	//	3	As (2) plus connection status
	//	4	All messages very verbose
